User Wallet
Get user's assets list and balance. Requires the Read permission.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| asset | String | No | Asset |
| action | Object | No | Support action |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| asset | String | Asset |
| type | String | FIAT Β· CRYPTO Β· STABLE_COIN |
| totalAmount | String | Total amount |
| availableAmount | String | Available amount |
| availableActions | String[] | Support actions β CONVERT Β· TRANSFER Β· WITHDRAW Β· DEPOSIT Β· SEND_TO |
cryptoNetwork:
| Name | Type | Description |
|---|---|---|
| depositNetworks | String[] | Available network list for crypto deposit |
| withdrawalNetworks | String[] | Available network list for crypto withdrawal |
example
GET
https://api.btse.com/public-api/wallet/v1/user/assetsResponse
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1624989977940,
"data": [
{
"asset": "BTC",
"type": "CRYPTO",
"totalAmount": "100.0",
"availableAmount": "100.0",
"availableActions": [
"CONVERT",
"TRANSFER",
"WITHDRAW",
"DEPOSIT",
"SEND_TO"
],
"cryptoNetwork": {
"depositNetworks": [
"BITCOIN",
"LIQUID"
],
"withdrawalNetworks": [
"BITCOIN",
"LIQUID"
]
}
},
{
"asset": "USDT",
"type": "FIAT",
"totalAmount": "25000.0",
"availableAmount": "19000.0",
"availableActions": [
"CONVERT",
"TRANSFER",
"WITHDRAW",
"DEPOSIT",
"SEND_TO"
],
"cryptoNetwork": {
"depositNetworks": [],
"withdrawalNetworks": []
}
}
]
}